package com.eactive.eai.adapter; 

import java.io.Serializable;

/** 
 * 1. 기능 : 어댑터 프라퍼티 정보를 정의한 Java Value Object 클래스
 * 2. 처리 개요 : 어댑터 프라퍼티 정보를 정의한다.
 * *     - 
 * 3. 주의사항 
 *
 * @author  : 
 * @version : v 1.0.0
 * @see : 관련 기능을 참조
 * @since   : 
 */
public class AdapterPropInfoVO implements Serializable
{ 
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String adptrCd;         //어댑터코드[TSEAIAD04.AdptrCd]
	private String adptrIODstcd;    //어댑터입출력구분코드[TSEAIAD04.AdptrIODstcd]
	private String adptrPrptyName;  //어댑터프라퍼티명[TSEAIAD04.AdptrPrptyName]
	private String adptrPrptyDesc;  //어댑터프라퍼티설명[TSEAIAD04.AdptrPrptyDesc]

	/**
     * Constructor
     */
    public AdapterPropInfoVO(String adptrCd, String adptrIODstcd, String adptrPrptyName, String adptrPrptyDesc) {
        this.adptrCd = adptrCd;
        this.adptrIODstcd = adptrIODstcd;
        this.adptrPrptyName = adptrPrptyName;
        this.adptrPrptyDesc = adptrPrptyDesc;
    }

	/**
	 * @return Returns the adptrCd.
	 */
	public String getAdptrCd() {
		return adptrCd;
	}

	/**
	 * @param adptrCd The adptrCd to set.
	 */
	public void setAdptrCd(String adptrCd) {
		this.adptrCd = adptrCd;
	}

	/**
	 * @return Returns the adptrIODstcd.
	 */
	public String getAdptrIODstcd() {
		return adptrIODstcd;
	}

	/**
	 * @param adptrIODstcd The adptrIODstcd to set.
	 */
	public void setAdptrIODstcd(String adptrIODstcd) {
		this.adptrIODstcd = adptrIODstcd;
	}

	/**
	 * @return Returns the adptrPrptyDesc.
	 */
	public String getAdptrPrptyDesc() {
		return adptrPrptyDesc;
	}

	/**
	 * @param adptrPrptyDesc The adptrPrptyDesc to set.
	 */
	public void setAdptrPrptyDesc(String adptrPrptyDesc) {
		this.adptrPrptyDesc = adptrPrptyDesc;
	}

	/**
	 * @return Returns the adptrPrptyName.
	 */
	public String getAdptrPrptyName() {
		return adptrPrptyName;
	}

	/**
	 * @param adptrPrptyName The adptrPrptyName to set.
	 */
	public void setAdptrPrptyName(String adptrPrptyName) {
		this.adptrPrptyName = adptrPrptyName;
	}

} 
